Subject: Re: [armd] Multicast in the data center [was Re: address resolution requirement from hosts to overlay edge nodes. Any opinion?]

From: <[email-masked]>
Date: Thu, 1 Mar 2012 16:49:14 +0100

Hi Thomas,

Thomas Narten :
> My impression is that many data centers do not enable IP multicast on 
> their routers. That means you can use link-local multicast (which 
> works fine within one IP subnet and doesn't really have scaling issues).

Just a side note: using link-local multicast over a (V)LAN may imply the 
use of IGMP snooping, which may not be easier to manage than IP 
multicast (this is a euphemism) and does imply per-multicast-flow state 
maintenance on switches, likely to also involve similar scaling 
challenge (state growing linearly with the amount of flows).

-Thomas